# std::uniform_int_distribution::uniform_int_distribution

From cppreference.com
< cpp‎ | numeric‎ | random‎ | uniform int distribution

explicit uniform_int_distribution( IntType a = 0, IntType b = std::numeric_limits<IntType>::max() ); | (1) | (since C++11)
explicit uniform_int_distribution( const param_type& params ); | (2) | (since C++11)

Constructs new distribution object. The first version uses `a` and `b` as the distribution parameters, the second version uses `params` as the distribution parameters.

The behavior is undefined if a>b.

### Parameters

a | - | the a distribution parameter (minimum value)
b | - | the b distribution parameter (maximum value)
params | - | the distribution parameter set

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/uniform_int_distribution/uniform_int_distribution&oldid=63159"